Patient $report-data

post/Patient/$report-data
Page View

This resource establishes demographics and identifiers for an individual visiting or receiving treatment from a healthcare organization. A patient record serves as the most common base for data being exchanged since it establishes the “who” behind the data. 

You can review, retrieve, create, or update patient records.

The other operations are specific to Verato and CMS ACCESS (Advancing Chronic Care with Effective, Scalable Solutions). You must register and be approved to participate in CMS ACCESS. Learn more about CMS ACCESS.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

$report-data

Submit required clinical data and patient-reported outcomes for an aligned patient. This is used to submit data reporting bundles at the start of care (baseline), quarterly, and at the end of the 12-month period of care.

This returns a submission ID so you can check the status of this operation with $submission-status.

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Patient/$report-data' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'Content-Type: application/fhir+json' \
5
--data '{
6
"resourceType": "Parameters",
7
"id": "CmsAccessReportDataInputExample",
8
"parameter": [
9
{
10
"name": "participantID",
11
"valueIdentifier": {
12
"system": "https://dsacms.github.io/cmmi-access-model/participant-id",
13
"value": "ACCES12345"
14
}
15
},
16
{
17
"name": "payerID",
18
"valueIdentifier": {
19
"type": {
20
"coding": [
21
{
22
"system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBIdentifierType",
23
"code": "payerid",
24
"display": "Payer ID"
25
}
26
]
27
},
28
"system": "urn:oid:2.16.840.1.113883.3.221.5",
29
"value": "12345"
30
}
31
},
32
{
33
"name": "track",
34
"valueCodeableConcept": {
35
"coding": [
36
{
37
"system": "https://dsacms.github.io/cmmi-access-model/CodeSystem/ACCESSTrackCS",
38
"code": "CKM",
39
"display": "Cardio-Kidney-Metabolic track"
40
}
41
]
42
}
43
},
44
{
45
"name": "reportType",
46
"valueCodeableConcept": {
47
"coding": [
48
{
49
"system": "https://dsacms.github.io/cmmi-access-model/CodeSystem/ACCESSReportTypeCS",
50
"code": "baseline",
51
"display": "Baseline Data Report"
52
}
53
]
54
}
55
},
56
{
57
"name": "dataBundle",
58
"resource": {
59
"resourceType": "Bundle",
60
"id": "CKMReportDataBundleExample",
61
"identifier": {
62
"system": "http://example.org/data-bundle-id",
63
"value": "bundle-ckm-001"
64
},
65
"type": "document",
66
"timestamp": "2026-01-26T12:00:00Z",
67
"entry": [
68
{
69
"fullUrl": "http://example.org/Composition/CKMReportDataCompositionExample",
70
"resource": {
71
"resourceType": "Composition",
72
"id": "CKMReportDataCompositionExample",
73
"status": "final",
74
"type": {
75
"coding": [
76
{
77
"system": "http://loinc.org",
78
"code": "74465-6",
79
"display": "Questionnaire response Document"
80
}
81
]
82
},
83
"subject": {
84
"reference": "Patient/PatientExample"
85
},
86
"date": "2026-01-26T12:00:00Z",
87
"author": [
88
{
89
"reference": "Practitioner/PractitionerExample"
90
}
91
],
92
"title": "ACCESS CKM Track Data Report",
93
"custodian": {
94
"reference": "Organization/OrganizationExample"
95
},
96
"section": [
97
{
98
"title": "Data reporting for CKM track",
99
"code": {
100
"coding": [
101
{
102
"system": "https://dsacms.github.io/cmmi-access-model/CodeSystem/ACCESSTrackCS",
103
"code": "CKM"
104
}
105
]
106
},
107
"section": [
108
{
109
"title": "Blood Pressure",
110
"code": {
111
"coding": [
112
{
113
"system": "http://loinc.org",
114
"code": "85354-9"
115
}
116
]
117
},
118
"entry": [
119
{
120
"reference": "Observation/BloodPressureExample"
121
},
122
{
123
"reference": "Observation/BloodPressureExample2"
124
},
125
{
126
"reference": "Observation/BloodPressureExample3"
127
}
128
]
129
},
130
{
131
"title": "Weight",
132
"code": {
133
"coding": [
134
{
135
"system": "http://loinc.org",
136
"code": "29463-7"
137
}
138
]
139
},
140
"entry": [
141
{
142
"reference": "Observation/BodyWeightExample"
143
}
144
]
145
},
146
{
147
"title": "BMI",
148
"code": {
149
"coding": [
150
{
151
"system": "http://loinc.org",
152
"code": "39156-5"
153
}
154
]
155
},
156
"entry": [
157
{
158
"reference": "Observation/BMIExample"
159
}
160
]
161
},
162
{
163
"title": "Waist Circumference",
164
"code": {
165
"coding": [
166
{
167
"system": "http://loinc.org",
168
"code": "8280-0"
169
}
170
]
171
},
172
"entry": [
173
{
174
"reference": "Observation/WaistCircumferenceExample"
175
}
176
]
177
},
178
{
179
"title": "HbA1c",
180
"code": {
181
"coding": [
182
{
183
"system": "http://loinc.org",
184
"code": "4548-4"
185
}
186
]
187
},
188
"entry": [
189
{
190
"reference": "Observation/HbA1cExample"
191
}
192
]
193
},
194
{
195
"title": "eGFR",
196
"code": {
197
"coding": [
198
{
199
"system": "http://loinc.org",
200
"code": "98979-8"
201
}
202
]
203
},
204
"entry": [
205
{
206
"reference": "Observation/eGFRExample"
207
}
208
]
209
},
210
{
211
"title": "uACR",
212
"code": {
213
"coding": [
214
{
215
"system": "http://loinc.org",
216
"code": "14959-1"
217
}
218
]
219
},
220
"entry": [
221
{
222
"reference": "Observation/uACRExample"
223
}
224
]
225
},
226
{
227
"title": "Lipids",
228
"code": {
229
"coding": [
230
{
231
"system": "http://loinc.org",
232
"code": "18262-6"
233
}
234
]
235
},
236
"entry": [
237
{
238
"reference": "Observation/LDLCholesterolExample"
239
}
240
]
241
}
242
]
243
}
244
]
245
}
246
},
247
{
248
"fullUrl": "http://example.org/Patient/PatientExample",
249
"resource": {
250
"resourceType": "Patient",
251
"id": "PatientExample",
252
"identifier": [
253
{
254
"type": {
255
"coding": [
256
{
257
"system": "http://terminology.hl7.org/CodeSystem/v2-0203",
258
"code": "MC"
259
}
260
]
261
},
262
"system": "http://terminology.hl7.org/NamingSystem/cmsMBI",
263
"value": "1EG4TE5MK73"
264
}
265
],
266
"name": [
267
{
268
"family": "Doe",
269
"given": [
270
"John"
271
]
272
}
273
],
274
"gender": "male",
275
"birthDate": "1950-01-01"
276
}
277
},
278
{
279
"fullUrl": "http://example.org/Practitioner/PractitionerExample",
280
"resource": {
281
"resourceType": "Practitioner",
282
"id": "PractitionerExample",
283
"identifier": [
284
{
285
"system": "http://hl7.org/fhir/sid/us-npi",
286
"value": "1234567893"
287
}
288
],
289
"name": [
290
{
291
"family": "Smith",
292
"given": [
293
"Jane"
294
]
295
}
296
]
297
}
298
},
299
{
300
"fullUrl": "http://example.org/Organization/OrganizationExample",
301
"resource": {
302
"resourceType": "Organization",
303
"id": "OrganizationExample",
304
"identifier": [
305
{
306
"system": "https://dsacms.github.io/cmmi-access-model/participant-id",
307
"value": "ACCES12345"
308
}
309
],
310
"active": true,
311
"name": "Example Healthcare Organization"
312
}
313
},
314
{
315
"fullUrl": "http://example.org/Observation/BloodPressureExample",
316
"resource": {
317
"resourceType": "Observation",
318
"id": "BloodPressureExample",
319
"status": "final",
320
"category": [
321
{
322
"coding": [
323
{
324
"system": "http://terminology.hl7.org/CodeSystem/observation-category",
325
"code": "vital-signs",
326
"display": "Vital Signs"
327
}
328
]
329
}
330
],
331
"code": {
332
"coding": [
333
{
334
"system": "http://loinc.org",
335
"code": "85354-9",
336
"display": "Blood pressure panel with all children optional"
337
}
338
]
339
},
340
"subject": {
341
"reference": "Patient/PatientExample"
342
},
343
"effectiveDateTime": "2026-01-15T10:30:00Z",
344
"component": [
345
{
346
"code": {
347
"coding": [
348
{
349
"system": "http://loinc.org",
350
"code": "8480-6",
351
"display": "Systolic blood pressure"
352
}
353
]
354
},
355
"valueQuantity": {
356
"value": 138,
357
"unit": "mm[Hg]",
358
"system": "http://unitsofmeasure.org",
359
"code": "mm[Hg]"
360
}
361
},
362
{
363
"code": {
364
"coding": [
365
{
366
"system": "http://loinc.org",
367
"code": "8462-4",
368
"display": "Diastolic blood pressure"
369
}
370
]
371
},
372
"valueQuantity": {
373
"value": 88,
374
"unit": "mm[Hg]",
375
"system": "http://unitsofmeasure.org",
376
"code": "mm[Hg]"
377
}
378
}
379
]
380
}
381
},
382
{
383
"fullUrl": "http://example.org/Observation/BloodPressureExample2",
384
"resource": {
385
"resourceType": "Observation",
386
"id": "BloodPressureExample2",
387
"status": "final",
388
"category": [
389
{
390
"coding": [
391
{
392
"system": "http://terminology.hl7.org/CodeSystem/observation-category",
393
"code": "vital-signs",
394
"display": "Vital Signs"
395
}
396
]
397
}
398
],
399
"code": {
400
"coding": [
401
{
402
"system": "http://loinc.org",
403
"code": "85354-9",
404
"display": "Blood pressure panel with all children optional"
405
}
406
]
407
},
408
"subject": {
409
"reference": "Patient/PatientExample"
410
},
411
"effectiveDateTime": "2026-01-22T10:30:00Z",
412
"component": [
413
{
414
"code": {
415
"coding": [
416
{
417
"system": "http://loinc.org",
418
"code": "8480-6",
419
"display": "Systolic blood pressure"
420
}
421
]
422
},
423
"valueQuantity": {
424
"value": 132,
425
"unit": "mm[Hg]",
426
"system": "http://unitsofmeasure.org",
427
"code": "mm[Hg]"
428
}
429
},
430
{
431
"code": {
432
"coding": [
433
{
434
"system": "http://loinc.org",
435
"code": "8462-4",
436
"display": "Diastolic blood pressure"
437
}
438
]
439
},
440
"valueQuantity": {
441
"value": 84,
442
"unit": "mm[Hg]",
443
"system": "http://unitsofmeasure.org",
444
"code": "mm[Hg]"
445
}
446
}
447
]
448
}
449
},
450
{
451
"fullUrl": "http://example.org/Observation/BloodPressureExample3",
452
"resource": {
453
"resourceType": "Observation",
454
"id": "BloodPressureExample3",
455
"status": "final",
456
"category": [
457
{
458
"coding": [
459
{
460
"system": "http://terminology.hl7.org/CodeSystem/observation-category",
461
"code": "vital-signs",
462
"display": "Vital Signs"
463
}
464
]
465
}
466
],
467
"code": {
468
"coding": [
469
{
470
"system": "http://loinc.org",
471
"code": "85354-9",
472
"display": "Blood pressure panel with all children optional"
473
}
474
]
475
},
476
"subject": {
477
"reference": "Patient/PatientExample"
478
},
479
"effectiveDateTime": "2026-02-05T10:30:00Z",
480
"component": [
481
{
482
"code": {
483
"coding": [
484
{
485
"system": "http://loinc.org",
486
"code": "8480-6",
487
"display": "Systolic blood pressure"
488
}
489
]
490
},
491
"valueQuantity": {
492
"value": 140,
493
"unit": "mm[Hg]",
494
"system": "http://unitsofmeasure.org",
495
"code": "mm[Hg]"
496
}
497
},
498
{
499
"code": {
500
"coding": [
501
{
502
"system": "http://loinc.org",
503
"code": "8462-4",
504
"display": "Diastolic blood pressure"
505
}
506
]
507
},
508
"valueQuantity": {
509
"value": 90,
510
"unit": "mm[Hg]",
511
"system": "http://unitsofmeasure.org",
512
"code": "mm[Hg]"
513
}
514
}
515
]
516
}
517
},
518
{
519
"fullUrl": "http://example.org/Observation/BodyWeightExample",
520
"resource": {
521
"resourceType": "Observation",
522
"id": "BodyWeightExample",
523
"status": "final",
524
"category": [
525
{
526
"coding": [
527
{
528
"system": "http://terminology.hl7.org/CodeSystem/observation-category",
529
"code": "vital-signs",
530
"display": "Vital Signs"
531
}
532
]
533
}
534
],
535
"code": {
536
"coding": [
537
{
538
"system": "http://loinc.org",
539
"code": "29463-7",
540
"display": "Body weight"
541
}
542
]
543
},
544
"subject": {
545
"reference": "Patient/PatientExample"
546
},
547
"effectiveDateTime": "2026-01-15T10:30:00Z",
548
"valueQuantity": {
549
"value": 85,
550
"unit": "kg",
551
"system": "http://unitsofmeasure.org",
552
"code": "kg"
553
}
554
}
555
},
556
{
557
"fullUrl": "http://example.org/Observation/BMIExample",
558
"resource": {
559
"resourceType": "Observation",
560
"id": "BMIExample",
561
"status": "final",
562
"category": [
563
{
564
"coding": [
565
{
566
"system": "http://terminology.hl7.org/CodeSystem/observation-category",
567
"code": "vital-signs",
568
"display": "Vital Signs"
569
}
570
]
571
}
572
],
573
"code": {
574
"coding": [
575
{
576
"system": "http://loinc.org",
577
"code": "39156-5",
578
"display": "Body mass index (BMI) [Ratio]"
579
}
580
]
581
},
582
"subject": {
583
"reference": "Patient/PatientExample"
584
},
585
"effectiveDateTime": "2026-01-15T10:30:00Z",
586
"valueQuantity": {
587
"value": 27.5,
588
"unit": "kg/m2",
589
"system": "http://unitsofmeasure.org",
590
"code": "kg/m2"
591
}
592
}
593
},
594
{
595
"fullUrl": "http://example.org/Observation/WaistCircumferenceExample",
596
"resource": {
597
"resourceType": "Observation",
598
"id": "WaistCircumferenceExample",
599
"status": "final",
600
"category": [
601
{
602
"coding": [
603
{
604
"system": "http://terminology.hl7.org/CodeSystem/observation-category",
605
"code": "vital-signs",
606
"display": "Vital Signs"
607
}
608
]
609
}
610
],
611
"code": {
612
"coding": [
613
{
614
"system": "http://loinc.org",
615
"code": "8280-0",
616
"display": "Waist Circumference at umbilicus by Tape measure"
617
}
618
]
619
},
620
"subject": {
621
"reference": "Patient/PatientExample"
622
},
623
"effectiveDateTime": "2026-01-15T10:30:00Z",
624
"valueQuantity": {
625
"value": 95,
626
"unit": "cm",
627
"system": "http://unitsofmeasure.org",
628
"code": "cm"
629
}
630
}
631
},
632
{
633
"fullUrl": "http://example.org/Observation/HbA1cExample",
634
"resource": {
635
"resourceType": "Observation",
636
"id": "HbA1cExample",
637
"status": "final",
638
"category": [
639
{
640
"coding": [
641
{
642
"system": "http://terminology.hl7.org/CodeSystem/observation-category",
643
"code": "laboratory",
644
"display": "Laboratory"
645
}
646
]
647
}
648
],
649
"code": {
650
"coding": [
651
{
652
"system": "http://loinc.org",
653
"code": "4548-4",
654
"display": "Hemoglobin A1c/Hemoglobin.total in Blood"
655
}
656
]
657
},
658
"subject": {
659
"reference": "Patient/PatientExample"
660
},
661
"effectiveDateTime": "2026-01-15T10:30:00Z",
662
"valueQuantity": {
663
"value": 6.5,
664
"unit": "%",
665
"system": "http://unitsofmeasure.org",
666
"code": "%"
667
}
668
}
669
},
670
{
671
"fullUrl": "http://example.org/Observation/eGFRExample",
672
"resource": {
673
"resourceType": "Observation",
674
"id": "eGFRExample",
675
"status": "final",
676
"category": [
677
{
678
"coding": [
679
{
680
"system": "http://terminology.hl7.org/CodeSystem/observation-category",
681
"code": "laboratory",
682
"display": "Laboratory"
683
}
684
]
685
}
686
],
687
"code": {
688
"coding": [
689
{
690
"system": "http://loinc.org",
691
"code": "98979-8",
692
"display": "Glomerular filtration rate [Volume Rate/Area] in Serum, Plasma or Blood by Creatinine-based formula (CKD-EPI 2021)/1.73 sq M"
693
}
694
]
695
},
696
"subject": {
697
"reference": "Patient/PatientExample"
698
},
699
"effectiveDateTime": "2026-01-15T10:30:00Z",
700
"valueQuantity": {
701
"value": 75,
702
"unit": "mL/min/1.73_m2",
703
"system": "http://unitsofmeasure.org",
704
"code": "mL/min/{1.73_m2}"
705
}
706
}
707
},
708
{
709
"fullUrl": "http://example.org/Observation/uACRExample",
710
"resource": {
711
"resourceType": "Observation",
712
"id": "uACRExample",
713
"status": "final",
714
"category": [
715
{
716
"coding": [
717
{
718
"system": "http://terminology.hl7.org/CodeSystem/observation-category",
719
"code": "laboratory",
720
"display": "Laboratory"
721
}
722
]
723
}
724
],
725
"code": {
726
"coding": [
727
{
728
"system": "http://loinc.org",
729
"code": "14959-1",
730
"display": "Microalbumin/Creatinine [Mass Ratio] in Urine"
731
}
732
]
733
},
734
"subject": {
735
"reference": "Patient/PatientExample"
736
},
737
"effectiveDateTime": "2026-01-15T10:30:00Z",
738
"valueQuantity": {
739
"value": 45,
740
"unit": "mg/g",
741
"system": "http://unitsofmeasure.org",
742
"code": "mg/g"
743
}
744
}
745
},
746
{
747
"fullUrl": "http://example.org/Observation/LDLCholesterolExample",
748
"resource": {
749
"resourceType": "Observation",
750
"id": "LDLCholesterolExample",
751
"status": "final",
752
"category": [
753
{
754
"coding": [
755
{
756
"system": "http://terminology.hl7.org/CodeSystem/observation-category",
757
"code": "laboratory",
758
"display": "Laboratory"
759
}
760
]
761
}
762
],
763
"code": {
764
"coding": [
765
{
766
"system": "http://loinc.org",
767
"code": "18262-6",
768
"display": "Cholesterol in LDL [Mass/volume] in Serum or Plasma by Direct assay"
769
}
770
]
771
},
772
"subject": {
773
"reference": "Patient/PatientExample"
774
},
775
"effectiveDateTime": "2026-01-15T10:30:00Z",
776
"valueQuantity": {
777
"value": 140,
778
"unit": "mg/dL",
779
"system": "http://unitsofmeasure.org",
780
"code": "mg/dL"
781
}
782
}
783
}
784
]
785
}
786
}
787
]
788
}'

Request Body Schema

    Input parameters for the CMS ACCESS $report-data operation, which submits data reporting information for the ACCESS model. The request body is a FHIR Parameters resource; each field below is a named entry in the parameter array (see the request example for the exact wire format).

  • participantID
    required, object

    Identifier of the participating entity submitting the data.

    • type
      object

      A coded type for the identifier that can be used to determine which identifier to use for a specific purpose.

      • coding
        Array of object

        A reference to a code defined by a terminology system.

        • system
          string

          The identification of the code system that defines the meaning of the symbol in the code.

        • code
          string

          A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

      • text
        string

        A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

    • system
      string

      Establishes the namespace for the value - that is, a URL that describes a set values that are unique.

    • value
      string

      The portion of the identifier typically relevant to the user and which is unique within the context of the system.

  • payerID
    required, object

    Identifier of the payer associated with the report.

    • type
      object

      A coded type for the identifier that can be used to determine which identifier to use for a specific purpose.

      • coding
        Array of object

        A reference to a code defined by a terminology system.

        • system
          string

          The identification of the code system that defines the meaning of the symbol in the code.

        • code
          string

          A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

      • text
        string

        A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

    • system
      string

      Establishes the namespace for the value - that is, a URL that describes a set values that are unique.

    • value
      string

      The portion of the identifier typically relevant to the user and which is unique within the context of the system.

  • track
    required, object

    The CMS ACCESS model track the report applies to.

    • coding
      Array of object

      A reference to a code defined by a terminology system.

      • system
        string

        The identification of the code system that defines the meaning of the symbol in the code.

      • code
        string

        A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

    • text
      string

      A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

  • reportType
    required, object

    The type of data being reported.

    • coding
      Array of object

      A reference to a code defined by a terminology system.

      • system
        string

        The identification of the code system that defines the meaning of the symbol in the code.

      • code
        string

        A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

    • text
      string

      A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

  • dataBundle
    required, Array of object

    One or more bundles containing the reportable data.

    • resourceType
      required, string

      Identifies the type of the resource

      Value: Bundle
    • type
      required, string

      Indicates the purpose of this bundle - how it is intended to be used.

      Possible Values: document, message, transaction, transaction-response, batch, batch-response, history, searchset, collection
    • entry
      Array of object

      An entry in the bundle containing a FHIR resource

    Response fields and example

    This response has no body.

    FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.